To play in Oloko, you need to have a current internet browser. We only support the following versions or later: Internet Explorer 7, Firefox 3, Opera 9, Chrome, or Safari.

You need the current version of Adobe Flash Player to play Oloko. If you don't have it installed on your computer, you can download it here for free.